Packages

Category Task Type Priority Severity Summary  desc Status Progress
TestingBug ReportVery LowMedium widelands game shared library error Closed
100%
Task Description

Description:
after install widelands and run the game output the next

[ user | 2021-11-05 | 07:13 ]
[/home/user] [0]
$ widelands
widelands: error while loading shared libraries: libminizip.so.1: cannot open shared object file: No such file or directory

Additional info:
* package version(s) : extra/widelands 21-2
* config and/or log files etc.

Steps to reproduce:

AnyBug ReportVery LowMedium wesnoth change language no works Closed
100%
Task Description

Description:
after install the package, select language, choose other language and the language no change

Additional info:
* package version(s) : Battle for Wesnoth v1.14.15
* config and/or log files etc. ↓

[ user | 2021-11-05 | 07:31 ]
[/home/user] [0]
$ wesnoth
Battle for Wesnoth v1.14.15
Started on Fri Nov 5 07:32:01 2021

Data directory: /usr/share/games/wesnoth
User configuration directory: /home/USER/.config/wesnoth
User data directory: /home/USER/.local/share/wesnoth/1.14
Cache directory: /home/USER/.cache/wesnoth

Setting mode to 1366×768 Checking lua scripts... ok
20211105 07:32:12 warning general: setlocale() failed for ‘it_IT’.
20211105 07:32:12 warning general: setlocale() failed for ‘it_IT’.

Steps to reproduce:
Install, run, select new language, and find, the language no change

Attach image log

TestingBug ReportVery LowMedium warzone2100 fail Closed
100%
Task Description

Description:
the program game crash-down when select a tank

Additional info:
* package version(s) : extra/warzone2100 3.3.0-3
* config and/or log files etc. ↓ and attach the log file

[ user | 2021-11-05 | 07:41 ]
[/home/user] [0]
$ warzone2100
which: no gdb in (/usr/bin:/usr/java/jre1.8.0/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/usr/local/sbin:/usr/sbin:/sbin:/home/user/.hyperterm/personal/commands:/opt/chrome)
Saved dump file to ‘/home/user/.local/share/warzone2100-3.3.0//logs/warzone2100.gdmp-bspbru’ If you create a bugreport regarding this crash, please include this file.
Segmentation fault

Steps to reproduce:
after install, start a new campaing, select a tank, and the program crash

AnyUpdate RequestVery LowHigh ufw update/ufw bug Closed
100%
Task Description

There appears to be a bug with the current version of ufw, 0.35-2

Dunno if updating it would fix it, but it is kind of annoying and possibly security issue.

it says ufw is inactive when I reboot despite it being installed in the runlevel.

AnyBug ReportVery LowHigh tp_smapi not working with most recent libre kerne; Closed
100%
Task Description

Description:

Additional info:
* package version(s)
* config and/or log files etc.

Steps to reproduce:

AnyBug ReportVery LowMedium sndio doesn't autostart on all my comps... Closed
100%
Task Description

doesn’t work automatically, not sure why, but then again, I just reset it using openrc, like this...

doas rc-service sndiod restart

Then it works again, although this bug doesn’t happen on all my Hyperbola 0.4 laptops, which is odd...

For most of my laptops it works automatically, but one of them it doesn’t, might be misconfigured maybe? Idk...

Anywho, I am curious if anyone else has the same problem.

AnyFeature RequestVery LowLow ready PKGBUILDs modified for Hyperbola + openRC init sc ...Closed
100%
Task Description

Description:
GNU Guix is a purely functional package manager that can coexist peacefully with GNU/Linux distribution’s native package manaer and allows unprivileged per-user software installation.
Guix depends on several guile libraries not yet present in Hyperbola repo that need to be packaged too.

I have already prepared the necessary PKGBUILDs (attached to this task)

and I’m only asking for checking if they’re ok (since it’s my first attempt at packaging) and adding them to Hyperbola.

I did have some doubts as to which versions of packages were I supposed choose (newest ones or ones that were available as of May 8th 2017). I am also not sure if guile’s .go files are architecture dependent (some existsing PKGBUILDs I used declare arches separately but one declares ‘any’). I might have also made some mistakes along the way, hence I hope someone experienced will take a look at it.

I really hope someone will make use of guix once it’s added :)

StableBug ReportVery LowHigh problems with kdenetwork-kopete and kaccounts-intergrat ...Closed
100%
Task Description

Description:

1) kaccounts-integration: Option to add NextCloud/OwnCloud accounts in ‘Online Accounts’ section of System Settings not appearing.

3) kdenetwork-kopete: Clicking to add an Jabber Account opens a dialog with no fields to enter information.

Additional info:
* package version(s)
kaccounts-integration 17.04.0-1
kdenetwork-kopete 17.04.0-3.hyperbola1

* config and/or log files etc.
N/A

Steps to reproduce:

Happens all the time. Both re-installing and re-booting/re-starting did not fix the problem.

StableBug ReportMediumHigh opensmtpd: permission problems Closed
100%
Task Description

Description:

cat msg | /usr/sbin/sendmail – sendmail: No such file or directorycannot create temporary file /var/spool/smtpd/offline/1572544775.XXXXIqNsFX

Additional info:
* package version: 6.4.2p1-1.hyperbola2.backports1

It is same problem as here:
https://github.com/OpenSMTPD/OpenSMTPD/issues/839

I could solve it with:

sudo chmod g+s /usr/sbin/smtpctl
sudo chmod g+s /usr/sbin/smtpctl

and then

sudo rc-service smtpd start

Even though I think I should not need to start it to use only sendmail.

StableBug ReportVery LowMedium nouveau_drv.so: undefined symbol: exaDriverAlloc Closed
100%
Task Description

Any attempt to load Nouveau in X server results in the following error:

nouveau_drv.so: undefined symbol: exaDriverAlloc

Additional info

Steps to reproduce

  1. Stop the X server.
  2. Add a section such as the following to “/etc/X11/xorg.conf”:
    Section "Device"
      Identifier "Video card"
      Driver "nouveau"
      Option "Backlight" "nv_backlight"
    EndSection
  3. Start the X server.
AnySecurity IssueVery LowMedium mount.davfs: unknown file system davfs due to paths cha ...Closed
100%
Task Description

This is same issue as on:
https://bugzilla.redhat.com/show_bug.cgi?id=1151273

The paths changed and trying to mount davfs file system defined in /etc/fstab fails with error: unknown file system davfs

To remedy, I made symlink in /sbin to mount.davfs

The transition of paths had to take that in account as many mounted remote disks failed after upgrade.

AnyPrivacy IssueMediumHigh midori new Support for cross-browser web extensions Closed
100%
Task Description

Description:
idk what to do with it i add the PKGBUILD but this new extension needs to be checked left or patched,
https://git.hyperbola.info:50100/~team/packages/extra.git/plain/midori/PKGBUILD?h=rachad

Additional info:
* package version(9.0)

important links to check:
* https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions * https://github.com/midori-browser/core/issues/244

AnyBug ReportVery LowLow marble-qt: doesn't look like a valid Marble plugin: "/ ...Closed
100%
Task Description

Description:

$ marble-qt –latlone=0.5,6.5
Ignoring to load the following file since it doesn’t look like a valid Marble plugin: “/usr/lib/marble/plugins/libWlocatePositionProviderPlugin.so” Reason: “Cannot load library /usr/lib/marble/plugins/libWlocatePositionProviderPlugin.so: (libwlocate.so: cannot open shared object file: No such file or directory)”

When package libwlocate is installed, it is not showing this error.

Shall that package be dependency?

AnyBug ReportVery LowHigh mach package command crashes and fails to build the pac ...Closed
100%
Task Description

I build Iceweasel-UXP with these commands:

cd /tmp
git clone https://github.com/MoonchildProductions/UXP
cd UXP/application/
git clone https://git.hyperbola.info:50100/software/iceweasel-uxp.git
cd ..
wget http://oscomp.hu/depot/iceweasel-uxp.mozconfig -O .mozconfig
./mach build

but after this, when i give the command

./mach package

then the following happens:
http://oscomp.hu/depot/mach_package_crash.log

TestingImplementation RequestMediumMedium linux-libre-lts-hypersec: New package with extra securi ...Closed
100%
Task Description

Description: Per a user request and to better secure the kernel, we can embed the cryptsetup and ciphers in the kernel. This would mean rather than exposed modules, they are built-in to the kernel and ready to use even without an intramfs.

To be embedded: ciphers aes, twofish, serpent; sha256, sha512 - and the necessary modules (don’t forget the block modes xts, lvm and cryptsetup …)

Additionally, we could include USB Guard and any other features that meet our social contract and security outlook.

StableBug ReportVery LowMedium linphonec error (cli version) Closed
100%
Task Description

Description:
linphonec is unusable because a error produce a continuous log

Additional info:
linphone 3.11.1-1.hyperbola1

Steps to reproduce:
linphonec

Log:
linphonec> 2019-12-15 19:25:58:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:03:012 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:08:018 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:13:013 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:18:016 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:23:014 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:28:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:33:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:38:012 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:43:015 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:48:010 ortp-error-Error in connect: Network is unreachable
2019-12-15 19:26:53:010 ortp-error-Error in connect: Network is unreachable

AnyBug ReportVery LowLow lightdm/lxdm bug Closed
100%
Task Description

It appears when I plug in my libreboot laptop x200 in, it appears to dim the screen and when its unplugged, the screen is bright again. Something peculiar is at work, I wondered if this could be fixed.

My assumption is it is related to lxdm or lightdm. Any thoughts?

I am currently using 0.4, so I don’t expect this to be a fast process, just when you get a chance okay?

StableBug ReportVery LowHigh java cacerts file is empty Closed
100%
Task Description

/etc/ssl/certs/java/cacerts has 0 entries, resulting in ssl handshake errors in java applications.

Package versions:
* ca-certificates 20170307-1
* ca-certificates-utils 20170307-1

AnyBug ReportVery LowHigh groff: package not built with URW fonts properly or suc ...Closed
100%
Task Description

Description:

groff is typesetting system similar to TeX/LaTeX however, it is very small and very usable. It is not built properly with URW fonts, or such are missing, I cannot know all details. Overall groff package is basically somehow broken.

It shall depend on proper fonts, and such fonts should already be built, including their Unicode versions.

Package is only partially built.

AnyFreedom IssueVery LowLow flatpak doesn't work/Docker doesn't work Closed
100%
Task Description

without, flathub. But flathub requires qt5, version 5.9

And the part of docker that works, is also gone. This may be easier to fix.

I need one of those two to work. That’s all.

AnyBug ReportMediumLow firejail: mpv.profile fails to work  Closed
100%
Task Description

Users trying to use firejail against mpv experience errors such as:

[ytdl_hook] AVideo failed, trying to play URL directly ...
[ffmpeg] tls: The TLS connection was non-properly terminated.
Failed to recognize file format.

The error is caused by not having avideo whitelisted in firejail.

TestingBug ReportVery LowHigh espeak no works Closed
100%
Task Description

Description:
when run `espeak hi` only sound a crack and output the next message

[ user | 2021-12-13 | 12:47 ]
[/home/user] [0]
$ espeak hi
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.rear
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.center_lfe
ALSA lib pcm.c:2660:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.side
ALSA lib pcm_route.c:877:(find_matching_chmap) Found no matching channel map
ALSA lib pcm_sndio.c:383:(sndio_open) sndio: only playback streams are supported
connect(2) call to /dev/shm/jack-1000/default/jack_0 failed (err=No such file or directory)
attempt to connect to server failed
Expression ‘framesAvail’ failed in ‘src/hostapi/alsa/pa_linux_alsa.c’, line: 3625
Expression ‘PaAlsaStreamComponent_GetAvailableFrames( self, &framesAvail, xrun )’ failed in ‘src/hostapi/alsa/pa_linux_alsa.c’, line: 3985
Expression ‘PaAlsaStreamComponent_RegisterChannels( &self→playback, &self→bufferProcessor, &playbackFrames, &xrun )’ failed in ‘src/hostapi/alsa/pa_linux_alsa.c’, line: 4115
Expression ‘PaAlsaStream_SetUpBuffers( stream, &framesGot, &xrun )’ failed in ‘src/hostapi/alsa/pa_linux_alsa.c’, line: 4355

Additional info:
* package version(s)
* config and/or log files etc.

Steps to reproduce:
`doas pacman -S espeak`
`espeak hi`

AnyBug ReportVery LowHigh error: extract: not overwriting dir with file /usr/loca ...Closed
100%
Task Description

Description:

after upgrade there are errors that shall not be there. I cannot know why.

admin-> upgrade-hyperbola
:: Synchronizing package databases...
 core                             186.6 KiB   283K/s 00:01 [###############################] 100%
 extra                           1918.8 KiB   259K/s 00:07 [###############################] 100%
 community                          4.1 MiB   217K/s 00:19 [###############################] 100%
 DEB_Arch_Extra                     4.2 KiB  0.00B/s 00:00 [###############################] 100%
 DEB_Arch_Extra.sig               280.0   B  0.00B/s 00:00 [###############################] 100%
:: Starting full system upgrade...
warning: elinks: local (0.13-18) is newer than community (0.12pre6-1.hyperbola1)
resolving dependencies...
looking for conflicting packages...

Packages (5) filesystem-2017.03-2.hyperbola10.4  icedove-uxp-52.9.20181107-1
             iceweasel-uxp-52.9.20181107-1  licenses-20140629-2.hyperbola3
             pacman-mirrorlist-20181031-1.hyperbola1.1

Total Download Size:    79.91 MiB
Total Installed Size:  226.65 MiB
Net Upgrade Size:        0.26 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
 filesystem-2017.03-2.hyperb...    13.0 KiB  0.00B/s 00:00 [###############################] 100%
 licenses-20140629-2.hyperbo...    68.4 KiB   171K/s 00:00 [###############################] 100%
 pacman-mirrorlist-20181031-...     5.6 KiB  0.00B/s 00:00 [###############################] 100%
 icedove-uxp-52.9.20181107-1...    37.6 MiB   403K/s 00:06 [############################---]  93     icedove-uxp-52.9.20181107-1...    37.9 MiB   41-----------------------------]      iceweasel-uxp-52.9.20181107...     3.8 MiB   867K/s 00:42 [##-----------------------------]       iceweasel-uxp-52.9.20181107...     3.8 MiB   600K/s 01:01 [##-----------------------------      iceweasel-uxp-52.9.20181107...     4.0 MiB   773K/s 00:47 [###----------------------------]    iceweasel-uxp-52.9.20181107...     4.1 MiB   702K/s 00:51 [###----------------------------]   iceweasel-uxp-52.9.20181107...    39.8 MiB   212K/s 03:12 [###############################] 100%
(5/5) checking keys in keyring                             [###############################] 100%
(5/5) checking package integrity                           [###############################] 100%
(5/5) loading package files                                [###############################] 100%
(5/5) checking for file conflicts                          [###############################] 100%
(5/5) checking available disk space                        [###############################] 100%
:: Processing package changes...
(1/5) upgrading filesystem                                 [###############################] 100%
error: extract: not overwriting dir with file /usr/local/share/man
error: problem occurred while upgrading filesystem
error: could not commit transaction
error: failed to commit transaction (transaction aborted)
Errors occurred, no packages were upgraded.
AnyImplementation RequestVery LowMedium bitlbee plugins Closed
100%
Task Description

I request please can add to the hyperbola repositories the packages: ‘telegram-purple’, ‘Mastodon plugin for Bitlbee’, ‘bitlbee-facebook’ and ‘funyahoo-plusplus’ of course this is subject to not cause conflicts of security and stability in the operating system, thank you very much in advance.

This bitlbee project wiki can be used as a reference.
https://wiki.bitlbee.org/FrontPage

TestingBug ReportVery LowMedium angband game Couldn't load the requested font.  Closed
100%
Task Description

Description:
When run angband game, the emulator of terminal show me the next, at hyperbola v0.4 testing

[ user | 2021-10-23 | 06:05 ]
[/home/user] [0]
$ angband
angband: Couldn’t load the requested font. (10×20)

Additional info:
* package version(s)
* config and/or log files etc.

Steps to reproduce:
- Install the package
- Run in terminal

AnyBug ReportVery LowMedium addons compatible with seamonkey don't work with iceape ...Closed
100%
AnyImplementation RequestVery LowLow addon request Closed
100%
AnyImplementation RequestVery LowLow add yacy support for iceweasel-XP Closed
100%
AnyFeature RequestVery LowLow add package powerkit Closed
100%
AnyFreedom IssueMediumLow [zynaddsubfx] vague terminology "Open Source" in descri ...Closed
100%
AnySecurity IssueVery HighCritical [znc] CVE-2018-14055: privilege escalation & CVE-2018-1 ...Closed
100%
AnyFeature RequestHighHigh [zlib] adapt package in accordance with the Hyperbola P ...Closed
100%
AnyBug ReportHighCritical [zathura-ps] needs to be recompiled Closed
100%
AnyBug ReportVery LowLow [zathura-pdf-poppler] unable to process apostrophes di ...Closed
100%
AnyFeature RequestHighHigh [zathura-pdf-mupdf] rebuild package against libressl Closed
100%
AnyUpdate RequestMediumMedium [youtube-viewer] update request to v3.7.9 Closed
100%
AnyUpdate RequestVery LowVery Low [youtube-viewer] minor fix: function API name Closed
100%
StableFeature RequestVery LowHigh [youtube-viewer] Added the 'use_invidious_api' config-o ...Closed
100%
AnyReplace RequestVery LowMedium [youtube-dl] replace avideo-lts with youtube-dl Closed
100%
AnyFeature RequestHighHigh [your-freedom] adapt package in accordance with the Hyp ...Closed
100%
StableBug ReportVery LowMedium [yeahwm] has crashed that refused to initialize. Closed
100%
AnyFeature RequestHighHigh [yara] rebuild package against libressl Closed
100%
TestingImplementation RequestVery LowMedium [yaics] add package Closed
100%
AnyFeature RequestHighHigh [xz] adapt package in accordance with the Hyperbola Pac ...Closed
100%
AnyFreedom IssueVery LowLow [xwax]: using kernel name when referring to operating s ...Closed
100%
AnyFreedom IssueMediumLow [xwax] vague terminology "Open Source" and "Linux" in d ...Closed
100%
AnyFreedom IssueMediumLow [xvidcore] vague terminology "Open Source" in descripti ...Closed
100%
AnySecurity IssueVery HighCritical [xulrunner] unmaintained and unsupportable Closed
100%
AnyFeature RequestHighHigh [xtensa-unknown-elf-gcc] adapt package in accordance wi ...Closed
100%
AnyFeature RequestHighHigh [xtensa-unknown-elf-binutils] adapt package in accordan ...Closed
100%
Showing tasks 1 - 50 of 1516 Page 1 of 31

Available keyboard shortcuts

Tasklist

Task Details

Task Editing